package com.ai.android.Menus.frameanimation;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.util.Log;
import android.view.View;
import android.view.View.MeasureSpec;

public class SecondView extends View 
{
   public SecondView(Context context)
   {
      super(context);
   }
    @Override protected void onDraw(Canvas canvas) 
    {
        Paint paint = new Paint();
        
        //Give a background color of Blue
        canvas.drawColor(Color.BLUE);
        
        //Give the paint a color of RED
        paint.setColor(Color.RED);
        paint.setStrokeWidth(3);
        
        Log.d("fv:","canvas width:" + canvas.getWidth());
        Log.d("fv:","canvas height:" + canvas.getHeight());
      
        int mh = this.getMeasuredHeight();
        int mw = this.getMeasuredWidth();
        
        Log.d("fv:","view width:" + mw);
        Log.d("fv:","view height:" + mh);
        
        int centerX = mw/2;
        int centerY = mh/2;
        int radius = Math.min(centerX,centerY);
        
        canvas.drawCircle(centerX,centerY,radius, paint);
    }
    
    @Override 
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec)     
    {
       int width=40;
       int height=40;
       measureWidth(widthMeasureSpec);
       setMeasuredDimension(width,height);
    }
    private int measureWidth(int wSpec)
    {
       int spec = MeasureSpec.getMode(wSpec);
       int size = MeasureSpec.getSize(wSpec);
       Log.d("fv:", "width Spec:" + spec);
       if (spec == MeasureSpec.AT_MOST)
       {
          Log.d("fv:", "width spec: AT_MOST");
       }
       else if (spec == MeasureSpec.EXACTLY)
       {
          Log.d("fv:", "width spec: EXACTLY");
       }
       else
       {
          Log.d("fv:", "width spec: unspecified");
       }
       Log.d("fv:", "width size:" + size);
       return size;
    }
}
